Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-sdl2/citydlg.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
citydlg.h File Reference
`#include <SDL2/SDL.h>`
`#include "effects.h"`
`#include "citydlg_g.h"`

Go to the source code of this file.

## Functions

void | free_city_units_lists (void)
void | enable_city_dlg_widgets (void)
void | popup_hurry_production_dialog (struct city *pcity, SDL_Surface *pdest)
SDL_Surface * | get_scaled_city_map (struct city *pcity)
void | refresh_city_resource_map (SDL_Surface *pdest, int x, int y, const struct city *pcity, bool(*worker_check)(const struct city *, int, int))
struct impr_type * | get_building_for_effect (enum effect_type effect_type)

## Function Documentation

## ◆ enable_city_dlg_widgets()

void enable_city_dlg_widgets | ( | void |  | ) |

Enable city dialog widgets that can be enabled.

Definition at line 1534 of file citydlg.c.

Referenced by cancel_buy_prod_city_dlg_callback(), cancel_disband_unit_callback(), cancel_units_orders_city_dlg_callback(), cancel_upgrade_unit_callback(), ok_buy_prod_city_dlg_callback(), ok_disband_unit_window_callback(), ok_upgrade_unit_window_callback(), popdown_city_cma_dialog(), popdown_city_menu_dlg(), popdown_worklist_editor(), sell_imprvm_dlg_cancel_callback(), and sell_imprvm_dlg_ok_callback().

## ◆ free_city_units_lists()

void free_city_units_lists | ( | void |  | ) |

Free city present/supported units panel list.

Definition at line 818 of file citydlg.c.

Referenced by army_city_dlg_callback(), del_city_dialog(), happy_city_dlg_callback(), info_city_dlg_callback(), next_prev_city_dlg_callback(), ok_disband_unit_window_callback(), ok_upgrade_unit_window_callback(), options_city_dlg_callback(), refresh_unit_city_dialogs(), and supported_unit_city_dlg_callback().

## ◆ get_building_for_effect()

struct impr_type * get_building_for_effect | ( | enum effect_type | effect_type | ) |

Return first building that has given effect.

FIXME: Some callers would work better if they got building actually provides the effect at the moment, and not just first potential one.

Definition at line 132 of file citydlg.c.

## ◆ get_scaled_city_map()

SDL_Surface * get_scaled_city_map | ( | struct city * | pcity | ) |

Return scaled city map.

Definition at line 1619 of file citydlg.c.

Referenced by next_prev_city_dlg_callback(), popup_city_cma_dialog(), real_city_dialog_popup(), and redraw_city_dialog().

## ◆ popup_hurry_production_dialog()

void popup_hurry_production_dialog | ( | struct city * | pcity,
|  | SDL_Surface * | pdest
| ) |  |

Popup buy production dlg.

Definition at line 1175 of file citydlg.c.

Referenced by button_up_on_map(), buy_prod_city_dlg_callback(), hurry_production_callback(), and popup_buy_production_from_city_report_callback().

## ◆ refresh_city_resource_map()

void refresh_city_resource_map | ( | SDL_Surface * | pdest,
|  | int | x,
|  | int | y,
|  | const struct city * | pcity,
|  | bool(*)(const struct city *, int, int) | worker_check
| ) |  |